petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSMonitorLGCtxCreate

Creates a TSMonitorLGCtx context for use with TS to monitor the solution process graphically in various ways

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorLGCtxCreate(MPI_Comm comm,const char host[],const char label[],int x,int y,int m,int n,PetscInt howoften,TSMonitorLGCtx *ctx)

Collective on TS Many br

### Input Parameters

| host | - the X display to open, or null for the local machine Many br
| label | - the title to put in the title bar Many br
| x, y | - the screen coordinates of the upper left coordinate of the window Many br
| m, n | - the screen width and height in pixels Many br
| howoften | - if positive then determines the frequency of the plotting, if -1 then only at the final time Many br

### Output Parameter

ctx -the context Many br

### Options Database Key

| -ts_monitor_lg_timestep | - automatically sets line graph monitor Many br
| -ts_monitor_lg_solution | - monitor the solution (or certain values of the solution by calling TSMonitorLGSetDisplayVariables() or TSMonitorLGCtxSetDisplayVariables()) Many br
| -ts_monitor_lg_error | - monitor the error Many br
| -ts_monitor_lg_ksp_iterations | - monitor the number of KSP iterations needed for each timestep Many br
| -ts_monitor_lg_snes_iterations | - monitor the number of SNES iterations needed for each timestep Many br
| -lg_use_markers <true,false> | - mark the data points (at each time step) on the plot; default is true Many br

### Notes

Use TSMonitorLGCtxDestroy() to destroy. Many br

One can provide a function that transforms the solution before plotting it with TSMonitorLGCtxSetTransform() or TSMonitorLGSetTransform() Many br

Many of the functions that control the monitoring have two forms: TSMonitorLGSet/GetXXXX() and TSMonitorLGCtxSet/GetXXXX() the first take a TS object as the Many brfirst argument (if that TS object does not have a TSMonitorLGCtx associated with it the function call is ignored) and the second takes a TSMonitorLGCtx object Many bras the first argument. Many br

One can control the names displayed for each solution or error variable with TSMonitorLGCtxSetVariableNames() or TSMonitorLGSetVariableNames() Many br

Many br

### Keywords

TS, monitor, line graph, residual

### See Also

TSMonitorLGTimeStep(), TSMonitorSet(), TSMonitorLGSolution(), TSMonitorLGError(), TSMonitorDefault(), VecView(),
TSMonitorLGCtxCreate(), TSMonitorLGCtxSetVariableNames(), TSMonitorLGCtxGetVariableNames(), Many brTSMonitorLGSetVariableNames(), TSMonitorLGGetVariableNames(), TSMonitorLGSetDisplayVariables(), TSMonitorLGCtxSetDisplayVariables(), Many brTSMonitorLGCtxSetTransform(), TSMonitorLGSetTransform(), TSMonitorLGError(), TSMonitorLGSNESIterations(), TSMonitorLGKSPIterations(), Many brTSMonitorEnvelopeCtxCreate(), TSMonitorEnvelopeGetBounds(), TSMonitorEnvelopeCtxDestroy(), TSMonitorEnvelop() Many br

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages